summaryrefslogtreecommitdiffstats
path: root/test/testerror.sh.in
diff options
context:
space:
mode:
authorAllen Byrne <50328838+byrnHDF@users.noreply.github.com>2021-02-03 05:50:44 (GMT)
committerGitHub <noreply@github.com>2021-02-03 05:50:44 (GMT)
commit374211e79dd51b6ee0aad4c0fbd47f7c27f4fec4 (patch)
treea71a1664683324c19a424ede696e2e2c6477ab6f /test/testerror.sh.in
parent202438695557ab629a85aa38cc2bec324b7cfafe (diff)
downloadhdf5-374211e79dd51b6ee0aad4c0fbd47f7c27f4fec4.zip
hdf5-374211e79dd51b6ee0aad4c0fbd47f7c27f4fec4.tar.gz
hdf5-374211e79dd51b6ee0aad4c0fbd47f7c27f4fec4.tar.bz2
Test script 112 (#301)
* OESS-98 fix tools test for plugins * sync fork * Merge of changes from dev * Move problem option to bottom of the list until fixed * HDFFV-11106 - fix parsing optional args * HDFFV-11106 add note * grammer fix * Whitespace after clang formatting * Undo format version 11 changes * Update check to working version * Merge workflow and minor changes from develop * test testing script merge from develop
Diffstat (limited to 'test/testerror.sh.in')
-rw-r--r--test/testerror.sh.in6
1 files changed, 6 insertions, 0 deletions
diff --git a/test/testerror.sh.in b/test/testerror.sh.in
index b5ec853..e4c6339 100644
--- a/test/testerror.sh.in
+++ b/test/testerror.sh.in
@@ -64,6 +64,12 @@ TEST() {
# Skip the plugin for testing missing filter.
$ENVCMD $RUNSERIAL $TEST_ERR_BIN
) >$actual 2>$actual_err
+
+ # Check for core dump
+ if [ $? != 0 ]; then
+ nerrors=`expr $nerrors + 1`
+ fi
+
# Extract file name, line number, version and thread IDs because they may be different
sed -e 's/thread [0-9]*/thread (IDs)/' -e 's/: .*\.c /: (file name) /' \
-e 's/line [0-9]*/line (number)/' \